%define _binary_filedigest_algorithm 1

Name: telegram-desktop-binary
Version: 3.6
Release: alt1
Summary: Telegram Desktop messaging app
Source0: Telegram.xz
#Source0: https://updates.tdesktop.com/tlinux/tsetup.%version.tar.xz
Source1: telegram-desktop-binary.desktop
Source2: telegram-desktop-binary-icons.tgz
Source3: telegramdesktop.appdata.xml

Conflicts: telegram-desktop

License: GPLv3 with OpenSSL exception
Group: Networking/Instant messaging
Packager: Anton Shevtsov <shevtsov.anton@gmail.com>
Url: https://telegram.org/

%description
Telegram is a messaging app with a focus on speed and security, it's super-fast, simple and free.
You can use Telegram on all your devices at the same time - your messages
sync seamlessly across any number of your phones, tablets or computers.

With Telegram, you can send messages, photos, videos and files of any type (doc, zip, mp3, etc),
as well as create groups for up to 1000 people or channels for broadcasting to unlimited audiences.
You can write to your phone contacts and find people by their usernames.
As a result, Telegram is like SMS and email combined - and can take care of all your personal
or business messaging needs.

%prep

%setup -c %name-%version

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_desktopdir
mkdir -p %buildroot%_datadir/metainfo
mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48,64x64,128x128,256x256,512x512}

mv Telegram telegram
cp -f telegram %buildroot/%_bindir/telegram
ln -s telegram %buildroot/%_bindir/telegram-desktop
ln -s telegram %buildroot/%_bindir/telegramdesktop
ln -s telegram %buildroot/%_bindir/telegram-desktop-binary

cp %SOURCE1 %buildroot/%_desktopdir/%name.desktop
tar -z -x -C %buildroot%_iconsdir/hicolor/ -f %SOURCE2 

cp %SOURCE3 %buildroot%_datadir/metainfo/telegramdesktop.appdata.xml

%files
%_bindir/telegram
%_bindir/telegramdesktop
%_bindir/telegram-desktop-binary
%_bindir/telegram-desktop
%_desktopdir/%name.desktop
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/32x32/apps/%name.png
%_iconsdir/hicolor/48x48/apps/%name.png
%_iconsdir/hicolor/64x64/apps/%name.png
%_iconsdir/hicolor/128x128/apps/%name.png
%_iconsdir/hicolor/256x256/apps/%name.png
%_iconsdir/hicolor/512x512/apps/%name.png
%_datadir/metainfo/telegramdesktop.appdata.xml


%changelog
* Sat Mar 12 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.6-alt1
- New version
- Add _binary_filedigest_algorithm=1 for P8

* Thu Feb 10 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.5.2-alt1
- New version

* Wed Feb 2 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.5-alt1
- New version

* Tue Jan 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.4.8-alt2
- DESKTOP_APP_USE_PACKAGED_FONTS=OFF

* Tue Jan 20 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.4.8-alt1
- New version

* Tue Jan 4 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.4.3-alt1
- New version

* Tue Dec 9 2021 Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 3.3.0-alt1
- New version

* Sat Nov 14 2021 Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 3.2.4-alt1
- New version

* Mon Nov 8 2021 Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 3.2.2-alt2
- New version

* Mon Oct 11 2021  Anton Shevtsov <x09@altlinux.org> 3.1.9-alt1
- New version

* Sun Sep 26 2021  Anton Shevtsov <x09@altlinux.org> 3.1.1-alt1
- New version

* Mon Sep 21 2021 Anton Shevtsov <x09@altlinux.org> 3.1.0-alt5
- Rebuild binary from official source code
- disable autoupdate
- disable desktop file creating

* Mon Sep 20 2021 Anton Shevtsov <x09@altlinux.org> 3.1.0-alt2
- New version 3.1.0
- add -noupdate option

* Wed Sep 15 2021 Anton Shevtsov <x09@altlinux.org> 3.0.1-alt1
- Init version

